From: Joerg Fischer <jf505@gmx.de>
Subject: SH bg color also beyond newlines

This small patch allows the background coloring for syntax highlighting also to
go beyond newlines.

Due to a tragic misunderstanding including it was omitted some years ago for the
5.4 release.

---

 source/textDisp.c |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --quilt old/source/textDisp.c new/source/textDisp.c
--- old/source/textDisp.c
+++ new/source/textDisp.c
@@ -2448,13 +2448,14 @@ static int styleOfPos(textDisp *textD, i
     
     if (lineIndex >= lineLen)
    	style = FILL_MASK;
-    else if (styleBuf != NULL) {
-    	style = (unsigned char)BufGetCharacter(styleBuf, pos);
-    	if (style == textD->unfinishedStyle) {
+    if (styleBuf != NULL) {
+    	int styleChar = (unsigned char)BufGetCharacter(styleBuf, pos);
+    	if (styleChar == textD->unfinishedStyle && textD->highlightCBArg != NULL) {
     	    /* encountered "unfinished" style, trigger parsing */
     	    (textD->unfinishedHighlightCB)(textD, pos, textD->highlightCBArg);
-    	    style = (unsigned char)BufGetCharacter(styleBuf, pos);
+    	    styleChar = (unsigned char)BufGetCharacter(styleBuf, pos);
     	}
+        style |= styleChar;
     }
     if (inSelection(&buf->primary, pos, lineStartPos, dispIndex))
     	style |= PRIMARY_MASK;
